using FamilyTreeAPI.Entities;

namespace FamilyTreeAPI.Interface;

public interface IPersonPhoto
{
    Task<ResultModel<int>> SaveAsync(UploadCriteria criteria);
    Task<ResultModel<FileContent>> DownloadPersonPhoto(int id, string? filename);

    Task<ResultModel<int>> DeletePersonPhoto(int id);
    Task<ResultModel<List<PersonPhotoDto>>> LoadPersonPhoto(int personId);
}
